/Users/bernard/b20/bsoft/src/mol/mol_map_energy.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/mol/mol_map_energy.cpp - Functions to calculate estimates of the fitting of molecules to maps.

SYNOPSIS

#include 'rwmolecule.h'
#include 'rwimg.h'
#include 'utilities.h'

  Functions
double molgroup_map_energy (Bmolgroup *molgroup, Bimage *map, double Kmap)
Energy calculation of a molecule fit into a map.
double mol_map_energy (Bmolecule *mol, Bimage *map, double Kmap)
Energy calculation of a molecule fit into a map.
double molgroup_map_correlation (Bmolgroup *molgroup, Bimage *map)
Calculation of the fit of a molecule group into a map as a correlation coefficient.
double mol_map_correlation (Bmolecule *mol, Bimage *map)
Calculation of the fit of a molecule into a map as a correlation coefficient.
double molgroup_bond_fit_map_energy (Bmolgroup *molgroup, Bimage *map, double Kmap, int steps)
Energy calculation of a molecule fit into a map.

  Variables
int verbose

Detailed Description

Functions to calculate estimates of the fitting of molecules to maps.

Author:
    Bernard Heymann

Date:
    Created: 20041230

    Modified: 20111030

Definition in file mol_map_energy.cpp.

Function Documentation

  double mol_map_correlation (Bmolecule * mol, Bimage * map)

Calculation of the fit of a molecule into a map as a correlation coefficient.

Parameters:
    *mol molecule.
    *map map.

Returns:
    double correlation coefficient.

Definition at line 185 of file mol_map_energy.cpp.

  double mol_map_energy (Bmolecule * mol, Bimage * map, double Kmap)

Energy calculation of a molecule fit into a map.

Parameters:
    *mol molecule.
    *map map.
    Kmap map energy constant.

Returns:
    double energy.

Definition at line 83 of file mol_map_energy.cpp.

  double molgroup_bond_fit_map_energy (Bmolgroup * molgroup, Bimage * map, double Kmap, int steps)

Energy calculation of a molecule fit into a map.

Parameters:
    *molgroup molecule group.
    *map map.
    Kmap map energy constant.
    steps number of steps along a bond.

Returns:
    double energy.

The energy is the negative of the density at each step along a bond, rho,
plus a fudge factor to make it positive:
    E = Kmap * ((-sum(rho)/n + avg)/std + 10)
where n is the number of voxels sampled, avg is the average of the map,
and std is the standard deviation of the map.
The force associated with this energy is the gradient at each step:
    Fx = Kmap * (rho(x+1) - rho(x-1))/(2*u)
where u is the voxel size. The contribution of a force to an atom at
a step is weighted by the fractional distance the step is away from
the atom along the bond.

Definition at line 250 of file mol_map_energy.cpp.

  double molgroup_map_correlation (Bmolgroup * molgroup, Bimage * map)

Calculation of the fit of a molecule group into a map as a correlation coefficient.

Parameters:
    *molgroup molecule group.
    *map map.

Returns:
    double correlation coefficient.

Definition at line 128 of file mol_map_energy.cpp.

  double molgroup_map_energy (Bmolgroup * molgroup, Bimage * map, double Kmap)

Energy calculation of a molecule fit into a map.

Parameters:
    *molgroup molecule group.
    *map map.
    Kmap map energy constant.

Returns:
    double energy.

Definition at line 23 of file mol_map_energy.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.